hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bwolen Yang" <wbwo...@gmail.com>
Subject Re: questions ant for building a patch
Date Fri, 15 Jun 2007 18:08:02 GMT
On 6/15/07, Doug Cutting <cutting@apache.org> wrote:
> Bwolen Yang wrote:
> >>
> >> During unit test, I get
> >>     [junit] Exception in thread "main" java.lang.NoSuchMethodError:
> >> org.apache.tools.ant.util.FileUtils.close(Ljava/io/OutputStream;)V
>
> I've never seen this.  What JDK?  What OS?  What version of Hadoop?

after removing lib/jetty-ext/ant.jar, these warnings disappear (and
the BUILD is successful).

I am using ant version 1.7.0, sun jdk1.6.0_01, and head of Hadoop
source tree (as of 6/14).

As for OS,
   Linux 2.6.18-8.1.1.el5 #1, SMP, x86_64


> > removing
> >   hadoop-trunk/lib/jetty-ext/ant.jar
> > seems to have fixed this error.   I am not even sure how the above got
> > used since it doesn't appear in the classpath when I run "ant -v".
> >
> > Out of curiosity, why is there a special ant.jar?
>
> It appears to be required by Jetty.

which version of ant are you guys using?  also which version of
ant.jar is jetty-ext/ant.jar.
I can try to downgrade to the "ant" version that is the same.

bwolen

Mime
View raw message